Subject: Re: bug#41572: 28.0.50; [PATCH] Support plain project marked with file .emacs-project

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 03 Jun 2020 12:04:12 +0100

"Philip K." <[email-masked]> writes:

> Zihao Zhu <[email-masked]> writes:
>
>> In your use case. I think we can add variable "project-known-projects", 
>> you can  add your favorite directory to it, you can also persist this 
>> variable using savehist.el
>
> I actually think this is better (given there is a command to add a
> directory to the list of known projects), because you could also build a
> project switcher on this foundation.
>
> And if the variable is a user option (which I think it should be),
> savehist shouldn't be necessary.

FWIW, Emacs 28 now has the user option project-list-file, which is a
file populated with the list of known projects maintained in the
variable project--list.  See the following emacs-devel discussion:

https://lists.gnu.org/archive/html/emacs-devel/2020-05/msg03301.html
https://lists.gnu.org/archive/html/emacs-devel/2020-06/msg00035.html

-- 
Basil